<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$config = require ('config.php');
$rutafotos="r".$ras."/videos";

$fini=$_GET["fini"];	
$ffin=$_GET["ffin"];	

if ($fini!='X') {
	
	$posfoto=strripos($fini, '/');
	$fotoneta=substr($fini,$posfoto+1);
	$fini=$fotoneta;
	$posfoto=strripos($ffin, '/');
	$fotoneta=substr($ffin,$posfoto+1);
	$ffin=$fotoneta;

	$serie="";
	$directorio = $rutafotos;
	$fotos  = scandir($directorio);

	$nfotos = count($fotos);
	$clave = array_search($fini, $fotos);

	if ($clave) {
		$serie="";
		for ($i = $clave; $i <= $nfotos; $i++) {
			$foto=$fotos[$i];
			
			if ($foto==$ffin) {
				$serie=$serie.'#'.$foto;
				break;
			}
			if ($serie=="") {
				$serie=$foto;
			} else {	
				$serie=$serie.'#'.$foto;
			}	
		}
	}	


	echo "OK|$serie";

} else {

	$directorio = $rutafotos;
	$fotos  = scandir($directorio);	
	echo "OK|OK";
	
}	


?>